org.eclipse.viatra.query.runtime.matchers.psystem.rewriters

## Class RewriterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.viatra.query.runtime.matchers.planning.QueryProcessingException
      - - org.eclipse.viatra.query.runtime.matchers.psystem.queries.QueryInitializationException
        - - org.eclipse.viatra.query.runtime.matchers.psystem.rewriters.RewriterException

- All Implemented Interfaces:
    java.io.Serializable

      public class RewriterException
      extends QueryInitializationException

  An exception to wrap various issues during PDisjunction rewriting.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.matchers.planning.QueryProcessingException

      `patternDescription, shortMessage, templateContext, templateMessage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RewriterException(java.lang.String message, java.lang.String[] context, java.lang.String shortMessage, java.lang.Object patternDescription)`
    `RewriterException(java.lang.String message, java.lang.String[] context, java.lang.String shortMessage, java.lang.Object patternDescription, java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.planning.QueryProcessingException

      `bind, getPatternDescription, getShortMessage, getTemplateContext, getTemplateMessage, setPatternDescription`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RewriterException

          public RewriterException(java.lang.String message,
                                   java.lang.String[] context,
                                   java.lang.String shortMessage,
                                   java.lang.Object patternDescription,
                                   java.lang.Throwable cause)

    - #### RewriterException

          public RewriterException(java.lang.String message,
                                   java.lang.String[] context,
                                   java.lang.String shortMessage,
                                   java.lang.Object patternDescription)